Bug 114158 - Display is fuzzy with ATI radeon 9000 pro
Display is fuzzy with ATI radeon 9000 pro
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-23 08:22 EST by Rocio Alfonso
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-12 13:06:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
XF86Config - XFree86.0.log - lspci.txt (10.53 KB, application/octet-stream)
2004-02-04 06:08 EST, Rocio Alfonso
no flags Details
configuration file (3.26 KB, text/plain)
2004-02-04 06:31 EST, Rocio Alfonso
no flags Details
log file (42.93 KB, text/plain)
2004-02-04 06:32 EST, Rocio Alfonso
no flags Details
this output: lspci -n;echo;lspci -v (5.23 KB, text/plain)
2004-02-04 06:34 EST, Rocio Alfonso
no flags Details

  None (edit)
Description Rocio Alfonso 2004-01-23 08:22:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031107 Debian/1.5-3

Description of problem:
when I start my X server, I see very fuzzy my desktop. This happens
with  the configuration detected by fedora.

If I use the ATI drivers, X doesn't start. 

Version-Release number of selected component (if applicable):
XFree86 Version 4.3.0 (Fedora Core 1: 4.3.0-42)

How reproducible:
Always

Steps to Reproduce:
1.always with my hardware configuration 
2.
3.
    

Additional info:

# lspci -n (only output ati card)
01:00.0 Class 0300: 1002:4966 (rev 01)
01:00.1 Class 0380: 1002:496e (rev 01)

# lspci -v (only output ati card)
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon R250 If
[Radeon 9000] (rev 01) (prog-if 00 [VGA])
        Subsystem: C.P. Technology Co. Ltd R250 If [Radeon 9000 Pro
"Evil Commando"]
        Flags: bus master, stepping, 66Mhz, medium devsel, latency 32,
IRQ 10
        Memory at d8000000 (32-bit, prefetchable) [size=64M]
        I/O ports at c000 [size=256]
        Memory at e1000000 (32-bit, non-prefetchable) [size=64K]
        Expansion ROM at <unassigned> [disabled] [size=128K]
        Capabilities: [58] AGP version 2.0
        Capabilities: [50] Power Management version 2

01:00.1 Display controller: ATI Technologies Inc Radeon R250 [Radeon
9000] (Secondary) (rev 01)
        Subsystem: C.P. Technology Co. Ltd: Unknown device 2038
        Flags: bus master, stepping, 66Mhz, medium devsel, latency 32
        Memory at dc000000 (32-bit, prefetchable) [size=64M]
        Memory at e1010000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: [58] AGP version 2.0
        Capabilities: [50] Power Management version 2

Videocard section in XF86Config (autoconfigured by fedora):
Section "Device"
        Identifier  "Videocard0"
        Driver      "radeon"
        VendorName  "Videocard vendor"
        BoardName   "ATI Radeon 9000 Pro"
EndSection
Comment 1 Rocio Alfonso 2004-02-04 06:08:40 EST
Created attachment 97463 [details]
XF86Config - XFree86.0.log - lspci.txt

I attach my configuration file and others outs that can help.
Comment 2 Mike A. Harris 2004-02-04 06:21:16 EST
Text attachments only, no binaries please.  One file per attachment,
needs to be web browser viewable.

Thanks in advance.
Comment 3 Rocio Alfonso 2004-02-04 06:31:18 EST
Created attachment 97464 [details]
configuration file
Comment 4 Rocio Alfonso 2004-02-04 06:32:41 EST
Created attachment 97465 [details]
log file
Comment 5 Rocio Alfonso 2004-02-04 06:34:04 EST
Created attachment 97466 [details]
this output: lspci -n;echo;lspci -v
Comment 6 Rocio Alfonso 2004-02-06 16:28:12 EST
 I'd proved the follow: 
- a knopix and with driver vesa image is correct. 
- when I prove with my fedora (and RH 9) with vesa drivers, image is 
fuzzy too.  
- if I prove with ati drivers (from gatos) the X server don't start. 
I adjust monitor frecuency, test with autoconfiguration, without 
second busID... all fails. 
 
  I think that exists anything in XFree86 programation on Red Hat 
(fedora) that with my hardware configuration fails. I'd tested a 
screenshot of my fuzzy image in my (little) win98 in the same 
computer and image is perfect with that hardware.  
Comment 7 Rocio Alfonso 2004-02-19 03:00:07 EST
The problem is resolved. how? I don't know. 
 
I change hardware (box and HD) and when I'd reinstalled fedora in 
new HD, image is correct. 
 
I suppose that I'd moved videocard to correct position. Although in 
the Windows 98 that was in another partition always works fine. 
 
I'd tried reproduce the problem: copying old configuration, moving 
ati videocard... and always works fine. 
 
Sorry by your lost time with me. 
Comment 8 Mike A. Harris 2004-02-19 05:46:49 EST
Closing as "NOTABUG" since you've indicated the problem no longer
occurs for you.  If the issue returns, feel free to reopen the
report and add any additional details and status.

Thanks.
Comment 9 Rocio Alfonso 2004-09-20 07:28:42 EDT
I found the error and I can reproduce it in my computer or another
computer with ATI videocard.

The problem is output of S-VIDEO (image for tv). If I retire the cable
that convert the exit of video, the image is seen well.  If I connect
the cable the image it returns fuzzy. 

Single it happens with Redhat or Fedora.  With Knopix and Debian not
happens this.

I probe it with fedora core 1 with ATI videocard 9000 pro and ATI 9200.
Comment 10 Mike A. Harris 2004-10-12 13:06:18 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.